// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(HORIZON)

#ifdef BETA_LAYER_LAYOUTS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_EN
    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_voyager(\
        TD(TD_ESCAPE), KC_1,    KC_2,  KC_3,   KC_4,  KC_5, \
        KC_H,          KC_Q,    KC_Q,  KC_W,   KC_E,  KC_R, \
        KC_TAB,        KC_LSFT, KC_A,  KC_S,   KC_D,  KC_F, \
        KC_NO,         KC_Z,    KC_X, KC_NO,   KC_C,  KC_V, \
        KC_SPACE,      KC_ENTER, \
    \
    \
        KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, \
        KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, \
        KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, \
        KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, \
        KC_NO, KC_NO \
    )

    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_LEDS
    #define BETA_LAYER_CONTEXT_DATA {\
        LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF, LC_OFF, LC_BLU, LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF, LC_BLU, LC_BLU, LC_BLU, LC_OFF, \
        LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF \
    }

    BETA_LAYER_MAGIC_MACRO
#endif

#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO